Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 23 Nov 2021 04:19:54 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group why cancelled my product by the delivery company??? I track that courier, status is"order rejected by the customer". But why I need to cancel that product what I ordered for me. I'm really disappointed. It's not fair. I'm waited for the sale day and ordered some products what I want. Then,I'm waiting for the delivery. After two days got mail like I'm cancelled my order. Wht is this?? This is your company service??? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3431337